Package org.apache.lucene.util

# Class DocIdSetBuilder.BulkAdder

java.lang.Object
org.apache.lucene.util.DocIdSetBuilder.BulkAdder

Enclosing class:
  `DocIdSetBuilder`

public abstract static class DocIdSetBuilder.BulkAdder extends Object
Utility class to efficiently add many docs in one go.

See Also:
  - `DocIdSetBuilder.grow(int)`

## Constructor Summary

Constructors
Constructor
Description
`BulkAdder()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`add(int doc)`
`void`
`add(DocIdSetIterator iterator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkAdder

public BulkAdder()

## Method Details

### add

public abstract void add(int doc)

### add

public void add(DocIdSetIterator iterator) throws IOException

Throws:
  `IOException`